<?php
/**
 * The following variables are available in this template:
 * - $this: the CrudCode object
 */
?>
<!--
 Ajax CRUD Administration Page
 Form  View File  _ajax_form.php

This form uses client validation.Check Yii Class Reference for rules supported by  client validation.
If your validation rule is not supported you may need to modify this file,possibly enabling
ajax validation -in this case you'll have to write the validation code in the controller.

 @author Spiros Kabasakalis <kabasakalis@gmail.com>,reverbnation.com/spiroskabasakalis
 @copyright Copyright &copy; 2011 Spiros Kabasakalis
 @since 1.0
 @license The MIT License-->
<div id="<?php echo $this->class2id($this->modelClass); ?>_form_con" class="client-val-form">
    <?php echo '<?php '; ?>if ($model->isNewRecord) :<?php echo ' ?>'; ?>
    <h3 id="create_header">Create New <?php echo $this->modelClass; ?></h3>
    <?php echo '<?php '; ?> elseif (!$model->isNewRecord): <?php echo ' ?>'; ?>
    <h3 id="update_header">Update <?php echo $this->modelClass; ?> <?php echo '<?php '; ?> echo
        $model-><?php echo $this->tableSchema->primaryKey; ?>; <?php echo ' ?>'; ?>  </h3>
    <?php echo '<?php '; ?>  endif; <?php echo ' ?>'; ?>

    <div id="success-<?php echo $this->class2id($this->modelClass); ?>" class="notification success png_bg"
         style="display:none;">
        <a href="#" class="close"><img
                src="<?php echo '<?php '; ?>echo Yii::app()->request->baseUrl.'/css/images/icons/cross_grey_small.png'; <?php echo ' ?>'; ?>"
                title="Close this notification" alt="close"/></a>
    </div>

    <div id="error-<?php echo $this->class2id($this->modelClass); ?>" class="notification errorshow png_bg"
         style="display:none;">
        <a href="#" class="close"><img
                src="<?php echo '<?php '; ?>echo Yii::app()->request->baseUrl.'/css/images/icons/cross_grey_small.png'; <?php echo ' ?>'; ?>"
                title="Close this notification" alt="close"/></a>
    </div>

    <div class="form">

<?php echo '<?php  '; ?>
 $formId='<?php echo $this->class2id($this->modelClass); ?>-form';
 $ajaxUrl=
            ($model->isNewRecord)?CController::createUrl('<?php echo $this->class2id($this->modelClass); ?>/ajax_create')
                                                                 :CController::createUrl('<?php echo $this->class2id($this->modelClass); ?>/ajax_update');

$val_error_msg='Error.<?php echo $this->modelClass; ?> was not saved.';
$val_success_message=($model->isNewRecord)?
                                 '<?php echo $this->modelClass; ?> was created successfully.':
                                 '<?php echo $this->modelClass; ?> was updated successfully.';


$success='function(data){
    var response= jQuery.parseJSON (data);

    if (response.success ==true)
    {

         $("#success-<?php echo $this->class2id($this->modelClass); ?>")
        .fadeOut(1000, "linear",function(){
                                                             $(this)
                                                            .append("<div> '.$val_success_message.'</div>")
                                                            .fadeIn(2000, "linear")
                                                            }
                       );
        $("#<?php echo $this->class2id($this->modelClass); ?>-form").slideToggle(1500);'.

    '}
         else {
                   $("#error-<?php echo $this->class2id($this->modelClass); ?>")
                   .hide()
                    .show()
                    .css({"opacity": 1 })
                    .append("<div> '.$val_error_msg.'</div>")
                   .fadeIn(2000, "linear")
                  }
                     }//function';

$js_afterValidate="js:function(form,data,hasError) {


        if (!hasError) {                         //if there is no error submit with  ajax
        jQuery.ajax({'type':'POST',
                              'url':'$ajaxUrl',
                         'cache':false,
                         'data':$(\"#$formId\").serialize(),
                         'success':$success
                           });
                         return false; //cancel submission with regular post request,ajax submission performed above.
    } 
else{
return false;       //if there is validation error don't send anything
    }                          //cancel submission with regular post request,validation has errors.

}";


$form=$this->beginWidget('CActiveForm', array(
     'id'=>'<?php echo $this->class2id($this->modelClass); ?>-form',
    // 'enableAjaxValidation'=>true,
      'enableClientValidation'=>true,
     'focus'=>array($model,'name'),
     'errorMessageCssClass' => 'input-notification-error  error-simple png_bg',
     'clientOptions'=>array('validateOnSubmit'=>true,
                                        'validateOnType'=>false,
                                        'afterValidate'=>$js_afterValidate,
                                        'errorCssClass' => 'err',
                                        'successCssClass' => 'suc',
                                        'afterValidateAttribute' => 'js:function(form, attribute, data, hasError){
                                                   if(!hasError){
                                                                    $("#success-"+attribute.id).fadeIn(500);
                                                                   $("label[for=\'<?php echo $this->modelClass; ?>_"+attribute.name+"\']").removeClass("error");
                                                                      }else {
                                                                                  $("label[for=\'<?php echo $this->modelClass; ?>_"+attribute.name+"\']").addClass("error");
                                                                                   $("#success-"+attribute.id).fadeOut(500);
                                                                                   }
                                                                                                                            }'
                                                                             ),
));

    <?php echo ' ?>'; ?>

    <?php echo '<?php '; ?>echo $form->errorSummary($model, '
    <div style="font-weight:bold">Please correct these errors:</div>
    ', NULL, array('class' => 'errorsum notification errorshow png_bg'));<?php echo ' ?>'; ?>
    <p class="note">Fields with <span class="required">*</span> are required.</p>


<?php
foreach ($this->tableSchema->columns as $column)
{
    if ($column->autoIncrement)
        continue;
    ?>
    <div class="row clearfix">
        <div class='left clear'>
            <?php echo "<?php echo " . $this->generateActiveLabel($this->modelClass, $column) . "; ?>\n"; ?>
        </div>
        <div class='left clear'>
            <?php echo "<?php echo " . $this->generateActiveField($this->modelClass, $column) . "; ?>\n"; ?>
        </div>


        <span id="success-<?php echo $this->modelClass; ?>_<?php echo $column->name; ?>"
              class="hid input-notification-success  success png_bg right"></span>

        <div>
            <small><?php //echo Yii::t('admin', ''); ?></small>
        </div>
        <div class='left clear'>
            <?php echo "<?php echo \$form->error(\$model,'{$column->name}'); ?>\n"; ?>
        </div>
    </div>

    <?php
}
    ?>

    <input type="hidden" name="YII_CSRF_TOKEN"
           value="<?php echo '<?php '; ?>echo Yii::app()->request->csrfToken;<?php echo ' ?>'; ?>"/>

    <?php echo '<?php '; ?> if (!$model->isNewRecord):<?php echo ' ?>'; ?>
    <input type="hidden" name="update_id"
           value=" <?php echo '<?php '; ?>echo $_POST['update_id'];<?php echo ' ?>'; ?>"/>
    <?php echo '<?php '; ?>endif;<?php echo ' ?>'; ?>

    <div class="row buttons">
        <?php echo '<?php '; ?>  echo CHtml::submitButton($model->isNewRecord ? 'Submit' : 'Save',array('class' =>
        'button align-right'));<?php echo ' ?>'; ?>
    </div>

    <?php echo '<?php '; ?> $this->endWidget();<?php echo ' ?>'; ?>
</div>
    <!-- form -->

</div>
<script type="text/javascript">

    //Close button:

    $(".close").click(
            function () {
                $(this).parent().fadeTo(400, 0, function () { // Links with the class "close" will close parent
                    $(this).slideUp(600);
                });
                return false;
            }
    );


</script>


